# The maximum error

## Determining the transformed maximum error

In this section a method will be postulated and derived under certain assumptions to determine the maximum error, after a transformation with a map $f$. 

> *Definition 1*: let $f: \mathbb{R}^n \to \mathbb{R} :(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \mapsto f(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \overset{.} = y \pm \Delta_y$ be a function that maps independent measurements with a corresponding maximum error to a new quantity $y$ with maximum error $\Delta_y$ for $n \in \mathbb{N}$. 

In assumption that the maximum errors of the independent measurements are small the following may be posed. 

> *Postulate 1*: let $f:(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \mapsto f(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \overset{.} = y \pm \Delta_y$, the maximum error $\Delta_y$ may be given by
>
> $$
>   \Delta_y = \sum_{i=1}^n | \partial_i f(x_1, \dots, x_n) | \Delta_{x_i}, 
> $$
>
> and $y = f(x_1, \dots, x_n)$ correspondingly for all $(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \in \mathbb{R}^n$. 

??? note "*Derivation*:"

    Will be added later.

With this general expression the following properties may be derived.

### Properties

The sum of the independently measured quantities is posed in the following corollary. 

> *Corollary 1*: let $f:(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \mapsto f(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \overset{.} = y \pm \Delta_y$ with $y$ given by
>
> $$
>   y = f(x_1, \dots, x_n) = x_1 + \dots x_n,
> $$
>
> then the maximum error $\Delta_y$ may be given by
>
> $$
>   \Delta_y = \Delta_{x_1} + \dots + \Delta_{x_n},
> $$
>
> for all $(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \in \mathbb{R}^n$.

??? note "*Proof*:"

    Will be added later.

The multiplication of a constant with the independently measured quantities is posed in the following corollary. 

> *Corollary 2*: let $f:(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \mapsto f(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \overset{.} = y \pm \Delta_y$ with $y$ given by
>
> $$
>   y = f(x_1, \dots, x_n) = \lambda(x_1 + \dots x_n),
> $$
>
> for $\lambda \in \mathbb{R}$ then the maximum error $\Delta_y$ may be given by
>
> $$
>   \Delta_y = |\lambda| (\Delta_{x_1} + \dots + \Delta_{x_n}),
> $$
>
> for all $(x_1 \pm \Delta_{x_1}, \dots, x_n \pm \Delta_{x_n}) \in \mathbb{R}^n$.

??? note "*Proof*:"

    Will be added later.

The product of two independently measured quantities is posed in the following corollary.

> *Corollary 3*: let $f: (x_1 \pm \Delta_{x_1}, x_2 \pm \Delta_{x_2}) \mapsto f(x_1 \pm \Delta_{x_1}, x_2 \pm \Delta_{x_2}) \overset{.} = y \pm \Delta_y$ with $y$ given by
>
> $$
>   y = f(x_1, x_2) = x_1 x_2,
> $$
>
> then the maximum error $\Delta_y$ may be given by
>
> $$
>   \Delta_y = \frac{\Delta_{x_1}}{|x_1|} + \frac{\Delta_{x_2}}{|x_2|}, 
> $$    
>
> for all $(x_1 \pm \Delta_{x_1}, x_2 \pm \Delta_{x_2}) \in \mathbb{R}^2$.

??? note "*Proof*:"

    Will be added later.

## Combining measurements

If by a measurement series $m \in \mathbb{N}$ values $\{y_1 \pm \Delta_{y_1}, \dots, y_m \pm \Delta_{y_m}\}$ have been found for the same quantity then 

$$
    [y \pm \Delta_y] = \bigcap_{i \in \mathbb{N}[i \leq m]} [y_i \pm \Delta_{y_i}],
$$

the overlap of all the intervals with $[y \pm \Delta_y]$ denoting the interval in which the real value exists.